vCenter Server를 업그레이드할 때 Auto Deploy 서버를 동시에 업그레이드할 수 있습니다. 업데이트를 연기하면 vSphere HA 에이전트에 문제가 발생할 수 있습니다.

문제점

vCenter Server를 업그레이드할 때 vCenter Server는 각 ESXi 호스트에서 vSphere HA 에이전트(vmware-fdm) 버전 5.0을 vSphere HA 에이전트 버전 5.1 이상으로 바꿉니다. Auto Deploy로 프로비저닝된 호스트에서는 호스트에 상태가 없기 때문에 이 교체가 영구적이지 않습니다. vCenter Server를 사용할 수 없으면 ESXi 호스트에 올바른 vSphere HA 에이전트가 없으므로 클러스터에 참가할 수 없습니다.

Auto Deploy 5.0 서버에서는 FDM VIB를 버전 5.1 이상으로 자동 업그레이드하지 않습니다. VIB가 포함된 새 이미지를 생성하지 않으면 Auto Deploy가 재부팅 후 FDM VIB를 버전 5.0으로 되돌립니다.

결과

Auto Deploy 서버를 업그레이드합니다.

Auto Deploy 서버를 업그레이드할 수 없는 경우에는 vSphere PowerCLI와 함께 포함된 Image Builder PowerCLI cmdlet을 사용하여 새 vmware-fdm VIB가 포함된 ESXi 5.0 이미지 프로파일을 만들 수 있습니다. 그리고 호스트에 이 이미지 프로파일을 제공할 수 있습니다.

  1. PowerCLI 프롬프트에서 ESXi 5.0 소프트웨어 디포를 추가하고 새 vmware-fdm VIB가 포함된 소프트웨어 디포를 추가합니다.

    Add-EsxSoftwareDepot
    C:\Path\VMware-Esxi-5.0.0-buildnumber-depot.zip
    
    Add-EsxSoftwareDepot http://vcenter_server/vSphere-HA-depot
    
  2. 호스트에 새 이미지 프로파일을 할당하는 규칙을 만들고 규칙을 규칙 집합에 추가합니다.

    New-DeployRule -Name "Rule Name" 
    -Item "ImageName" 
    -Pattern "my host pattern"
    Add-DeployRule -DeployRule "Rule Name"
  3. 호스트에 대해 규정 준수 테스트 및 복구 작업을 수행하여 vSphere HA 에이전트를 호스트에 영구적으로 포함합니다.

    $result = Test-DeployRuleSetCompliance Host_list
    Repair-DeployRuleSetCompliance -TestResult $result